rsock_send_arg Struct Reference

`#include <rubysocket.h>`

## Data Fields

int | fd
int | flags
VALUE | mesg
struct sockaddr * | to
socklen_t | tolen

## Detailed Description

Definition at line 246 of file rubysocket.h.

## Field Documentation

int rsock_send_arg::fd

Definition at line 247 of file rubysocket.h.

Referenced by rsock_bsock_send(), rsock_send_blocking(), rsock_sendto_blocking(), and udp_send().

int rsock_send_arg::flags

Definition at line 247 of file rubysocket.h.

Referenced by rsock_bsock_send(), rsock_send_blocking(), rsock_sendto_blocking(), and udp_send().

VALUE rsock_send_arg::mesg

Definition at line 248 of file rubysocket.h.

Referenced by rsock_bsock_send(), rsock_send_blocking(), rsock_sendto_blocking(), and udp_send().

struct sockaddr* rsock_send_arg::to

Definition at line 249 of file rubysocket.h.

Referenced by rsock_bsock_send(), rsock_sendto_blocking(), and udp_send().

socklen_t rsock_send_arg::tolen

Definition at line 250 of file rubysocket.h.

Referenced by rsock_bsock_send(), rsock_sendto_blocking(), and udp_send().

The documentation for this struct was generated from the following file:

- ext/socket/rubysocket.h